package main

import (
	modem "hnyfkj.com.cn/rtu/linux/air720u"
	"hnyfkj.com.cn/rtu/linux/baseapp"
	"hnyfkj.com.cn/rtu/linux/netmgrd"
)

func main() {
	baseapp.ModuleInit()
	baseapp.Logger.Info("Starting Air720U module test...")

	if !modem.ModuleInit(false) {
		return
	}

	netmgrd.ModuleInit()

	<-baseapp.IsExit2() // Block, wait for "Ctrl+C" to exit

	modem.ModuleExit()
}
